Bug 1272520 - myproxy-server cannot create pidfile
Summary: myproxy-server cannot create pidfile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: myproxy
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-16 15:48 UTC by Matyas Selmeci
Modified: 2015-11-10 17:54 UTC (History)
4 users (show)

Fixed In Version: myproxy-6.1.15-2.fc23 myproxy-6.1.15-2.fc22 myproxy-6.1.15-2.fc21 myproxy-6.1.15-2.el5 myproxy-6.1.15-2.el7 myproxy-6.1.15-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-01 02:31:13 UTC


Attachments (Terms of Use)
ExecStartPre line for myproxy-server.service to create /var/run/myproxy-server owned by myproxy:myproxy (1.20 KB, application/mbox)
2015-10-16 15:48 UTC, Matyas Selmeci
no flags Details

Description Matyas Selmeci 2015-10-16 15:48:44 UTC
Created attachment 1083749 [details]
ExecStartPre line for myproxy-server.service to create /var/run/myproxy-server owned by myproxy:myproxy

Description of problem:
"systemctl start myproxy-server" hangs on startup; the logs show this error:
"Cannot open or create pidfile /var/run/myproxy-server/myproxy.pid"

Examining the filesystem shows that "/var/run/myproxy-server" does not exist.
When I created the directory and made it owned by myproxy:myproxy, the problem
went away.

Version-Release number of selected component (if applicable):
6.1.15-1.el7

How reproducible:
Always

Steps to Reproduce:
1. Install myproxy-server
2. systemctl enable myproxy-server

Actual results:
Service times out waiting for the pidfile to be created.

Expected results:
Service starts successfully.

Additional info:
The SysV init script for myproxy-server used to create the directory on
startup, but the SystemD service file does not do that.  myproxy-server runs as
the user myproxy, so I can't change it to write its pidfile into
/var/run/myproxy.pid (for example), since it doesn't have the privileges.

I will attach a patch for the service file that fixes the problem.

Comment 1 Mattias Ellert 2015-10-16 22:12:00 UTC
The /var/run/myproxy-server is created by tmpfiles.d

$ cat /usr/lib/tmpfiles.d/myproxy-server.conf 
D /var/run/myproxy-server 0710 myproxy root -

Comment 2 Matyas Selmeci 2015-10-19 13:47:33 UTC
What's the recommended fix, then?  Run "systemd-tmpfiles myproxy-server.conf" in the %post script for myproxy-server?  Or put

Requires=systemd-tmpfiles-setup
After=systemd-tmpfiles-setup

in the service file?  Or something else?

Comment 3 Fedora Update System 2015-10-21 09:47:03 UTC
myproxy-6.1.15-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fd2fb0355c

Comment 4 Fedora Update System 2015-10-21 09:47:10 UTC
myproxy-6.1.15-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-91efe6bbae

Comment 5 Fedora Update System 2015-10-21 09:47:10 UTC
myproxy-6.1.15-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1d5c0ccdce

Comment 6 Fedora Update System 2015-10-21 09:47:15 UTC
myproxy-6.1.15-2.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-40ef4e3c14

Comment 7 Fedora Update System 2015-10-21 09:47:16 UTC
myproxy-6.1.15-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2d4b6bd9bb

Comment 8 Fedora Update System 2015-10-24 12:10:14 UTC
myproxy-6.1.15-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update myproxy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1d5c0ccdce

Comment 9 Fedora Update System 2015-10-26 10:27:54 UTC
myproxy-6.1.15-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update myproxy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-91efe6bbae

Comment 10 Fedora Update System 2015-10-26 18:30:21 UTC
myproxy-6.1.15-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update myproxy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2d4b6bd9bb

Comment 11 Fedora Update System 2015-10-26 19:50:47 UTC
myproxy-6.1.15-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update myproxy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7a79236ad7

Comment 12 Fedora Update System 2015-10-26 20:47:04 UTC
myproxy-6.1.15-2.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update myproxy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-40ef4e3c14

Comment 13 Fedora Update System 2015-10-26 21:21:15 UTC
myproxy-6.1.15-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update myproxy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fd2fb0355c

Comment 14 Fedora Update System 2015-11-01 02:31:10 UTC
myproxy-6.1.15-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-11-04 22:23:23 UTC
myproxy-6.1.15-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-11-04 22:51:07 UTC
myproxy-6.1.15-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-11-10 15:52:26 UTC
myproxy-6.1.15-2.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-11-10 16:52:23 UTC
myproxy-6.1.15-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-11-10 17:54:16 UTC
myproxy-6.1.15-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.